export declare const Field: import("styled-components").StyledComponent<"div", any, {
    isStyled?: boolean | undefined;
}, never>;
export declare const LabelWrapper: import("styled-components").StyledComponent<"div", any, {
    isStyled?: boolean | undefined;
}, never>;
export declare const Label: import("styled-components").StyledComponent<"label", any, {
    isStyled?: boolean | undefined;
}, never>;
export declare const PrefixTab: import("styled-components").StyledComponent<"span", any, Omit<Pick<import("react").DetailedHTMLProps<import("react").InputHTMLAttributes<HTMLInputElement>, HTMLInputElement>, "key" | keyof import("react").InputHTMLAttributes<HTMLInputElement>>, "onChange"> & import("../..").GenericProps & {
    prefixTabTitle?: import("react").ReactNode;
    inputPrefix?: import("react").ReactNode;
    inputSuffix?: import("react").ReactNode;
    inputIcon?: import("react").ReactNode;
    error?: boolean | undefined;
    onChange?(this: void, event: import("./types").EventType): void;
} & {
    disabled?: boolean | undefined;
    error?: boolean | undefined;
    prefixTabPresent?: boolean | undefined;
    iconPresent?: boolean | undefined;
    type?: "number" | "button" | "search" | undefined;
}, never>;
export declare const InputPrefix: import("styled-components").StyledComponent<"span", any, Omit<Pick<import("react").DetailedHTMLProps<import("react").InputHTMLAttributes<HTMLInputElement>, HTMLInputElement>, "key" | keyof import("react").InputHTMLAttributes<HTMLInputElement>>, "onChange"> & import("../..").GenericProps & {
    prefixTabTitle?: import("react").ReactNode;
    inputPrefix?: import("react").ReactNode;
    inputSuffix?: import("react").ReactNode;
    inputIcon?: import("react").ReactNode;
    error?: boolean | undefined;
    onChange?(this: void, event: import("./types").EventType): void;
} & {
    disabled?: boolean | undefined;
    error?: boolean | undefined;
    prefixTabPresent?: boolean | undefined;
    iconPresent?: boolean | undefined;
    type?: "number" | "button" | "search" | undefined;
}, never>;
export declare const InputIcon: import("styled-components").StyledComponent<"span", any, Omit<Pick<import("react").DetailedHTMLProps<import("react").InputHTMLAttributes<HTMLInputElement>, HTMLInputElement>, "key" | keyof import("react").InputHTMLAttributes<HTMLInputElement>>, "onChange"> & import("../..").GenericProps & {
    prefixTabTitle?: import("react").ReactNode;
    inputPrefix?: import("react").ReactNode;
    inputSuffix?: import("react").ReactNode;
    inputIcon?: import("react").ReactNode;
    error?: boolean | undefined;
    onChange?(this: void, event: import("./types").EventType): void;
} & {
    disabled?: boolean | undefined;
    error?: boolean | undefined;
    prefixTabPresent?: boolean | undefined;
    iconPresent?: boolean | undefined;
    type?: "number" | "button" | "search" | undefined;
}, never>;
export declare const NumberButtonsWrapper: import("styled-components").StyledComponent<"span", any, Omit<Pick<import("react").DetailedHTMLProps<import("react").InputHTMLAttributes<HTMLInputElement>, HTMLInputElement>, "key" | keyof import("react").InputHTMLAttributes<HTMLInputElement>>, "onChange"> & import("../..").GenericProps & {
    prefixTabTitle?: import("react").ReactNode;
    inputPrefix?: import("react").ReactNode;
    inputSuffix?: import("react").ReactNode;
    inputIcon?: import("react").ReactNode;
    error?: boolean | undefined;
    onChange?(this: void, event: import("./types").EventType): void;
} & {
    disabled?: boolean | undefined;
    error?: boolean | undefined;
    prefixTabPresent?: boolean | undefined;
    iconPresent?: boolean | undefined;
    type?: "number" | "button" | "search" | undefined;
}, never>;
export declare const NumberButtonWrapper: import("styled-components").StyledComponent<"button", any, Omit<Pick<import("react").DetailedHTMLProps<import("react").InputHTMLAttributes<HTMLInputElement>, HTMLInputElement>, "key" | keyof import("react").InputHTMLAttributes<HTMLInputElement>>, "onChange"> & import("../..").GenericProps & {
    prefixTabTitle?: import("react").ReactNode;
    inputPrefix?: import("react").ReactNode;
    inputSuffix?: import("react").ReactNode;
    inputIcon?: import("react").ReactNode;
    error?: boolean | undefined;
    onChange?(this: void, event: import("./types").EventType): void;
} & {
    disabled?: boolean | undefined;
    error?: boolean | undefined;
    prefixTabPresent?: boolean | undefined;
    iconPresent?: boolean | undefined;
    type?: "number" | "button" | "search" | undefined;
}, never>;
/**
 * INPUT STYLING
 */
export declare const StyledInput: import("styled-components").StyledComponent<"input", any, Omit<Pick<import("react").DetailedHTMLProps<import("react").InputHTMLAttributes<HTMLInputElement>, HTMLInputElement>, "key" | keyof import("react").InputHTMLAttributes<HTMLInputElement>>, "onChange"> & import("../..").GenericProps & {
    prefixTabTitle?: import("react").ReactNode;
    inputPrefix?: import("react").ReactNode;
    inputSuffix?: import("react").ReactNode;
    inputIcon?: import("react").ReactNode;
    error?: boolean | undefined;
    onChange?(this: void, event: import("./types").EventType): void;
}, never>;
export declare const InputSuffix: import("styled-components").StyledComponent<"span", any, Omit<Pick<import("react").DetailedHTMLProps<import("react").InputHTMLAttributes<HTMLInputElement>, HTMLInputElement>, "key" | keyof import("react").InputHTMLAttributes<HTMLInputElement>>, "onChange"> & import("../..").GenericProps & {
    prefixTabTitle?: import("react").ReactNode;
    inputPrefix?: import("react").ReactNode;
    inputSuffix?: import("react").ReactNode;
    inputIcon?: import("react").ReactNode;
    error?: boolean | undefined;
    onChange?(this: void, event: import("./types").EventType): void;
} & {
    disabled?: boolean | undefined;
    error?: boolean | undefined;
    prefixTabPresent?: boolean | undefined;
    iconPresent?: boolean | undefined;
    type?: "number" | "button" | "search" | undefined;
}, never>;
export declare const InputElementWrapper: import("styled-components").StyledComponent<"div", any, {
    error?: boolean | undefined;
    isStyled?: boolean | undefined;
}, never>;
export declare const HelperText: import("styled-components").StyledComponent<"div", any, {
    isStyled?: boolean | undefined;
}, never>;
/**
 * INPUT TEXT AREA STYLING
 */
export declare const StyledTextArea: import("styled-components").StyledComponent<"textarea", any, import("react").TextareaHTMLAttributes<HTMLTextAreaElement> & import("../..").GenericProps & {
    error?: boolean | undefined;
    maxLength?: number | undefined;
}, never>;
export declare const StyledTextAreaLimitText: import("styled-components").StyledComponent<"div", any, {
    isStyled?: boolean | undefined;
}, never>;
